Edit

Share via


Sharing Links - Remove All Sharing Links

Deletes all organization sharing links for all Fabric items in the tenant. This action cannot be undone.

Note

This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.

This API supports long running operations (LRO).

Use LinksSharedToWholeOrganization PowerBI Admin REST API to get Power BI Reports shared via organizational sharing links.

Permissions

The caller must be a Fabric administrator.

Required Delegated Scopes

Tenant.ReadWrite.All

Limitations

  • Maximum 10 requests per minute.
  • Only Power BI Reports are supported.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/admin/items/removeAllSharingLinks

Request Body

Name Required Type Description
sharingLinkType True

SharingLinkType

Specifies the type of sharing link that is required to be deleted. Additional sharing link types may be added over time.

Responses

Name Type Description
200 OK

Request completed successfully.

202 Accepted

Request accepted. Retrieving the definition is in progress.

Headers

  • Location: string
  • x-ms-operation-id: string
  • Retry-After: integer
429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • Forbidden - The caller doesn't have permissions to call the API.

Examples

Sample request

POST https://api.fabric.microsoft.com/v1/admin/items/removeAllSharingLinks

{
  "sharingLinkType": "OrgLink"
}

Sample response

Location: https://api.fabric.microsoft.com/v1/operations/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
x-ms-operation-id: 431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
Retry-After: 30

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

RemoveAllSharingLinksRequest

Accepts the type of sharing link to be removed for all Fabric items in organization.

SharingLinkType

Specifies the type of sharing link that is required to be deleted for each Fabric item. Additional sharing link types may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

RemoveAllSharingLinksRequest

Accepts the type of sharing link to be removed for all Fabric items in organization.

Name Type Description
sharingLinkType

SharingLinkType

Specifies the type of sharing link that is required to be deleted. Additional sharing link types may be added over time.

SharingLinkType

Specifies the type of sharing link that is required to be deleted for each Fabric item. Additional sharing link types may be added over time.

Value Description
OrgLink

The sharing link grants access to entire organization (default value).